[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/rezaamini-ir/laravel-easypanel/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/rezaamini-ir/laravel-easypanel/?branch=master)
[![Build Status](https://scrutinizer-ci.com/g/rezaamini-ir/laravel-easypanel/badges/build.png?b=master)](https://scrutinizer-ci.com/g/rezaamini-ir/laravel-easypanel/build-status/master)

# EasyPanel
EasyPanel is a beautiful, customizable and flexible admin panel based on Livewire for Laravel.

![EasyPanel screenshots](https://easypanel.netlify.app/easypanel.png)


## Installation and Usage Guide:
To see how to install EasyPanel and use it, please checkout the documentation of package:

[EasyPanel Document](https://easypanel.netlify.app/getting-started)

### Features:
- Easy to install 🚀
- Multi Language
- A tons of features for Fields & Inputs
- RTL and LTR style
- Support CKEditor and Persian Font for RTL mode
- CRUD Maker GUI! 💡
- Everything is customizable
- A beautiful UI/UX with AdminMart template
- UserProviders and Authentication classes are customizable and you can change them
- Real time validation with Livewire 🚦
- Control your admins using ACL System in GUI


## What do we use in this package?
- [AdminMart Template](https://adminmart.com/)
- [Livewire](https://github.com/livewire/livewire)
- [Laravel EasyBlade](https://github.com/rezaamini-ir/laravel-easyblade)
- [CKEditor 5](https://github.com/ckeditor/ckeditor5)
- [Vazir Font](https://github.com/rastikerdar/vazir-font)
- [Dynamic Acl](https://github.com/iya30n/dynamic-acl)

## Contribution: 
If you feel you can improve our package You are free to send a pull request or submit an issue :)

## V2 Path 
- [x] ACL System
- [ ] Logging System
- [x] CRUD Maker GUI
- [x] RTL Style
- [x] Translation
- [x] Relational inputs
- [x] More input types & editors
- [x] Customizable inputs and fields
- [ ] Multi languages support
